Skip to main content
GET
/
workspace
/
{workspace-id}
/
project
/
{project-id}
Retrieve information about a project (scope: data.read)
curl --request GET \
  --url https://api.standards.site/beta/workspace/{workspace-id}/project/{project-id} \
  --header 'Authorization: Bearer <token>'
{
  "workspace": "z3plqkvf52r",
  "project": "3e95a13e7f1",
  "name": "Standards",
  "status": "Changed",
  "createdAt": "2026-02-11T18:25:43.000Z",
  "updatedAt": "2026-03-10T12:14:57.000Z",
  "url": "https://brand.standards.site",
  "publishedAt": "2026-03-08T03:40:29.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace-id
string
required

The identifier for the workspace

project-id
string
required

The identifier for the project in the workspace

Response

The project information was retrieved successfully

workspace
string
required

The workspace id (matches the workspace-id sent with the request)

Example:

"z3plqkvf52r"

project
string
required

The project id (matches the project-id sent with the request)

Example:

"3e95a13e7f1"

name
string
required

The name assigned to the project

Example:

"Standards"

status
enum<string>
required

The published state of the project.

  • Draft: The project has not yet been published (or was unpublished)
  • Changed: The project is published but there are unpublished changes
  • Published: The project is published with no unpublished changes
  • Processing: The project is in the process of being copied
Available options:
Draft,
Changed,
UpToDate,
Processing
Example:

"Changed"

createdAt
string<date-time>
required

The date and time when the project was created (ISO8601 format)

Example:

"2026-02-11T18:25:43.000Z"

updatedAt
string<date-time>
required

The date and time when the project was last updated (ISO8601 format)

Example:

"2026-03-10T12:14:57.000Z"

url
string

The url where the published project can be viewed

Example:

"https://brand.standards.site"

publishedAt
string<date-time>

The date and time when the project was last published (ISO8601 format)

Example:

"2026-03-08T03:40:29.000Z"